import pytest

from many_repos import errors
from many_repos import source_type


@pytest.mark.parametrize(
    "source, source_model",
    (
            ("gitlab", source_type.gitlab.Source),
            ("gitlab_group", source_type.gitlab_group.Source),
            ("github", source_type.github.Source)
    )
)
def test_correct_source_model(source, source_model):
    assert source_type.get(source) == source_model


def test_invalid_source_model():
    with pytest.raises(errors.InvalidSource):
        source_type.get("bitbucket")
